<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid Exercise</title>
    <style>
        html,
        body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            font-family: Calibri, Arial;
        }

        #container {
            display: grid;
            width: 100%;
            height: 100%;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
            grid-template-areas:
                "main-nav header"
                "main-nav top-nav"
                "main-nav main"
                "main-nav footer"
            ;
        }

        #header {
            background: lightpink;
            grid-area: header;
        }

        #top-nav {
            background: lightgray;
            grid-area: top-nav;
        }

        #main-nav {
            background: lightcyan;
            grid-area: main-nav;
        }

        #main {
            background: lightseagreen;
            grid-area: main;
        }

        #footer {
            background: lightskyblue;
            grid-area: footer;
        }

        @media (max-width: 600px) {

            #container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
                grid-template-areas:
                    "header"
                    "footer"
                    "main-nav"
                    "main"
                    "top-nav"
                ;
            }

        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="top-nav">Top Nav</div>
        <div id="main-nav">Main Nav</div>
        <div id="main">Main</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>